Index: src/sas/qtgui/DataExplorer.py
===================================================================
--- src/sas/qtgui/DataExplorer.py	(revision 9290b1a2e57458d51b13f1acd1798b999372c7d7)
+++ src/sas/qtgui/DataExplorer.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
@@ -44,6 +44,4 @@
         self.manager = manager if manager is not None else DataManager()
         self.txt_widget = QtGui.QTextEdit(None)
-        # self.txt_widget = GuiUtils.DisplayWindow()
-
 
         # Be careful with twisted threads.
Index: src/sas/qtgui/GuiUtils.py
===================================================================
--- src/sas/qtgui/GuiUtils.py	(revision 27313b77c4e5bef362a7502a76baa9340a740ae8)
+++ src/sas/qtgui/GuiUtils.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
@@ -28,4 +28,6 @@
 from periodictable import formula as Formula
 
+from sas.sasgui.plottools import transform
+from sas.sasgui.plottools.convert_units import convert_unit
 from sas.sasgui.guiframe.dataFitting import Data1D
 from sas.sasgui.guiframe.dataFitting import Data2D
@@ -584,4 +586,105 @@
             pass
 
+def xyTransform(data, xLabel="", yLabel=""):
+    """
+    Transforms x and y in View and set the scale
+    """
+    # Changing the scale might be incompatible with
+    # currently displayed data (for instance, going
+    # from ln to log when all plotted values have
+    # negative natural logs).
+    # Go linear and only change the scale at the end.
+    xscale = 'linear'
+    yscale = 'linear'
+    # Local data is either 1D or 2D
+    if data.id == 'fit':
+        return
+
+    # control axis labels from the panel itself
+    yname, yunits = data.get_yaxis()
+    xname, xunits = data.get_xaxis()
+
+    # Goes through all possible scales
+    # self.x_label is already wrapped with Latex "$", so using the argument
+
+    # X
+    if xLabel == "x":
+        data.transformX(transform.toX, transform.errToX)
+        xLabel = "%s(%s)" % (xname, xunits)
+    if xLabel == "x^(2)":
+        data.transformX(transform.toX2, transform.errToX2)
+        xunits = convert_unit(2, xunits)
+        xLabel = "%s^{2}(%s)" % (xname, xunits)
+    if xLabel == "x^(4)":
+        data.transformX(transform.toX4, transform.errToX4)
+        xunits = convert_unit(4, xunits)
+        xLabel = "%s^{4}(%s)" % (xname, xunits)
+    if xLabel == "ln(x)":
+        data.transformX(transform.toLogX, transform.errToLogX)
+        xLabel = "\ln{(%s)}(%s)" % (xname, xunits)
+    if xLabel == "log10(x)":
+        data.transformX(transform.toX_pos, transform.errToX_pos)
+        xscale = 'log'
+        xLabel = "%s(%s)" % (xname, xunits)
+    if xLabel == "log10(x^(4))":
+        data.transformX(transform.toX4, transform.errToX4)
+        xunits = convert_unit(4, xunits)
+        xLabel = "%s^{4}(%s)" % (xname, xunits)
+        xscale = 'log'
+
+    # Y
+    if yLabel == "ln(y)":
+        data.transformY(transform.toLogX, transform.errToLogX)
+        yLabel = "\ln{(%s)}(%s)" % (yname, yunits)
+    if yLabel == "y":
+        data.transformY(transform.toX, transform.errToX)
+        yLabel = "%s(%s)" % (yname, yunits)
+    if yLabel == "log10(y)":
+        data.transformY(transform.toX_pos, transform.errToX_pos)
+        yscale = 'log'
+        yLabel = "%s(%s)" % (yname, yunits)
+    if yLabel == "y^(2)":
+        data.transformY(transform.toX2, transform.errToX2)
+        yunits = convert_unit(2, yunits)
+        yLabel = "%s^{2}(%s)" % (yname, yunits)
+    if yLabel == "1/y":
+        data.transformY(transform.toOneOverX, transform.errOneOverX)
+        yunits = convert_unit(-1, yunits)
+        yLabel = "1/%s(%s)" % (yname, yunits)
+    if yLabel == "y*x^(2)":
+        data.transformY(transform.toYX2, transform.errToYX2)
+        xunits = convert_unit(2, xunits)
+        yLabel = "%s \ \ %s^{2}(%s%s)" % (yname, xname, yunits, xunits)
+    if yLabel == "y*x^(4)":
+        data.transformY(transform.toYX4, transform.errToYX4)
+        xunits = convert_unit(4, xunits)
+        yLabel = "%s \ \ %s^{4}(%s%s)" % (yname, xname, yunits, xunits)
+    if yLabel == "1/sqrt(y)":
+        data.transformY(transform.toOneOverSqrtX,
+                                transform.errOneOverSqrtX)
+        yunits = convert_unit(-0.5, yunits)
+        yLabel = "1/\sqrt{%s}(%s)" % (yname, yunits)
+    if yLabel == "ln(y*x)":
+        data.transformY(transform.toLogXY, transform.errToLogXY)
+        yLabel = "\ln{(%s \ \ %s)}(%s%s)" % (yname, xname, yunits, xunits)
+    if yLabel == "ln(y*x^(2))":
+        data.transformY(transform.toLogYX2, transform.errToLogYX2)
+        xunits = convert_unit(2, xunits)
+        yLabel = "\ln (%s \ \ %s^{2})(%s%s)" % (yname, xname, yunits, xunits)
+    if yLabel == "ln(y*x^(4))":
+        data.transformY(transform.toLogYX4, transform.errToLogYX4)
+        xunits = convert_unit(4, xunits)
+        yLabel = "\ln (%s \ \ %s^{4})(%s%s)" % (yname, xname, yunits, xunits)
+    if yLabel == "log10(y*x^(4))":
+        data.transformY(transform.toYX4, transform.errToYX4)
+        xunits = convert_unit(4, xunits)
+        yscale = 'log'
+        yLabel = "%s \ \ %s^{4}(%s%s)" % (yname, xname, yunits, xunits)
+
+    # Perform the transformation of data in data1d->View
+    data.transformView()
+
+    return (xLabel, yLabel, xscale, yscale)
+
 def dataFromItem(item):
     """
Index: src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision 8548d7394b7d5bccb2adcbf40bfba40d97186d70)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
@@ -269,4 +269,5 @@
             # Convert the data into plottable
             extrapolated_data = self._manager.createGuiData(extrapolated_data)
+            extrapolated_data.name = title
 
             # Add the plot to the model item
@@ -289,4 +290,5 @@
             # Convert the data into plottable
             high_out_data = self._manager.createGuiData(high_out_data)
+            high_out_data.name = title
 
             # find how to add this plot to the existing plot for low_extrapolate
Index: src/sas/qtgui/Plotter.py
===================================================================
--- src/sas/qtgui/Plotter.py	(revision 257bd5712462146ec0fc8f29d198ca47f83ed94f)
+++ src/sas/qtgui/Plotter.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
@@ -1,3 +1,6 @@
 from PyQt4 import QtGui
+from PyQt4 import QtCore
+import functools
+import copy
 
 import matplotlib.pyplot as plt
@@ -5,7 +8,6 @@
 
 from sas.sasgui.guiframe.dataFitting import Data1D
-from sas.sasgui.plottools import transform
-from sas.sasgui.plottools.convert_units import convert_unit
 from sas.qtgui.PlotterBase import PlotterBase
+import sas.qtgui.GuiUtils as GuiUtils
 from sas.qtgui.AddText import AddText
 from sas.qtgui.SetGraphRange import SetGraphRange
@@ -20,4 +22,10 @@
         self.addText = AddText(self)
 
+        # Dictionary of {plot_id:Data1d}
+        self.plot_dict = {}
+
+        # Simple window for data display
+        self.txt_widget = QtGui.QTextEdit(None)
+
     @property
     def data(self):
@@ -30,9 +38,9 @@
         self.xLabel = "%s(%s)"%(value._xaxis, value._xunit)
         self.yLabel = "%s(%s)"%(value._yaxis, value._yunit)
-        self.title(title=value.title)
+        self.title(title=value.name)
 
     def plot(self, data=None, marker=None, linestyle=None, hide_error=False):
         """
-        Plot self._data
+        Add a new plot of self._data to the chart.
         """
         # Data1D
@@ -50,7 +58,10 @@
             linestyle = ''
 
+        if not self._title:
+            self.title(title=self.data.name)
+
         # plot data with/without errorbars
         if hide_error:
-            ax.plot(self._data.view.x, self._data.view.y,
+            line = ax.plot(self._data.view.x, self._data.view.y,
                     marker=marker,
                     linestyle=linestyle,
@@ -58,6 +69,6 @@
                     picker=True)
         else:
-            ax.errorbar(self._data.view.x, self._data.view.y,
-                        yerr=self._data.view.dx, xerr=None,
+            line = ax.errorbar(self._data.view.x, self._data.view.y,
+                        yerr=self._data.view.dy, xerr=None,
                         capsize=2, linestyle='',
                         barsabove=False,
@@ -68,7 +79,9 @@
                         picker=True)
 
+        # Update the list of data sets (plots) in chart
+        self.plot_dict[self._data.id] = self.data
+
         # Now add the legend with some customizations.
         self.legend = ax.legend(loc='upper right', shadow=True)
-        #self.legend.get_frame().set_alpha(0.4)
         self.legend.set_picker(True)
 
@@ -92,9 +105,12 @@
         self.canvas.draw()
 
-    def contextMenu(self):
+    def createContextMenu(self):
         """
         Define common context menu and associated actions for the MPL widget
         """
         self.defaultContextMenu()
+
+        # Separate plots
+        self.addPlotsToContextMenu()
 
         # Additional menu items
@@ -112,7 +128,7 @@
             self.contextMenu.addAction("Reset Graph Range")
         # Add the title change for dialogs
-        if self.parent:
-            self.contextMenu.addSeparator()
-            self.actionWindowTitle = self.contextMenu.addAction("Window Title")
+        #if self.parent:
+        self.contextMenu.addSeparator()
+        self.actionWindowTitle = self.contextMenu.addAction("Window Title")
 
         # Define the callbacks
@@ -125,5 +141,52 @@
         self.actionWindowTitle.triggered.connect(self.onWindowsTitle)
 
-    def contextMenuQuickPlot(self):
+    def addPlotsToContextMenu(self):
+        """
+        Adds operations on all plotted sets of data to the context menu
+        """
+        for id in self.plot_dict.keys():
+            plot = self.plot_dict[id]
+            name = plot.name
+            plot_menu = self.contextMenu.addMenu('&%s' % name)
+
+            self.actionDataInfo = plot_menu.addAction("&DataInfo")
+            self.actionDataInfo.triggered.connect(
+                                functools.partial(self.onDataInfo, plot))
+
+            self.actionSavePointsAsFile = plot_menu.addAction("&Save Points as a File")
+            self.actionSavePointsAsFile.triggered.connect(
+                                functools.partial(self.onSavePoints, plot))
+            plot_menu.addSeparator()
+
+            if plot.id != 'fit':
+                self.actionLinearFit = plot_menu.addAction('&Linear Fit')
+                self.actionLinearFit.triggered.connect(self.onLinearFit)
+                plot_menu.addSeparator()
+
+            self.actionRemovePlot = plot_menu.addAction("Remove")
+            self.actionRemovePlot.triggered.connect(
+                                functools.partial(self.onRemovePlot, id))
+
+            if not plot.is_data:
+                self.actionFreeze = plot_menu.addAction('&Freeze')
+                self.actionFreeze.triggered.connect(
+                                functools.partial(self.onFreeze, id))
+            plot_menu.addSeparator()
+
+            if plot.is_data:
+                self.actionHideError = plot_menu.addAction("Hide Error Bar")
+                if plot.dy is not None and plot.dy != []:
+                    if plot.hide_error:
+                        self.actionHideError.setText('Show Error Bar')
+                else:
+                    self.actionHideError.setEnabled(False)
+                self.actionHideError.triggered.connect(
+                                functools.partial(self.onToggleHideError, id))
+                plot_menu.addSeparator()
+
+            self.actionModifyPlot = plot_menu.addAction('&Modify Plot Property')
+            self.actionModifyPlot.triggered.connect(self.onModifyPlot)
+
+    def createContextMenuQuick(self):
         """
         Define context menu and associated actions for the quickplot MPL widget
@@ -231,4 +294,93 @@
             self.canvas.draw_idle()
 
+    def onDataInfo(self, plot_data):
+        """
+        Displays data info text window for the selected plot
+        """
+        text_to_show = GuiUtils.retrieveData1d(plot_data)
+        # Hardcoded sizes to enable full width rendering with default font
+        self.txt_widget.resize(420,600)
+
+        self.txt_widget.setReadOnly(True)
+        self.txt_widget.setWindowFlags(QtCore.Qt.Window)
+        self.txt_widget.setWindowIcon(QtGui.QIcon(":/res/ball.ico"))
+        self.txt_widget.setWindowTitle("Data Info: %s" % plot_data.filename)
+        self.txt_widget.insertPlainText(text_to_show)
+
+        self.txt_widget.show()
+        # Move the slider all the way up, if present
+        vertical_scroll_bar = self.txt_widget.verticalScrollBar()
+        vertical_scroll_bar.triggerAction(QtGui.QScrollBar.SliderToMinimum)
+
+    def onSavePoints(self, plot_data):
+        """
+        Saves plot data to a file
+        """
+        GuiUtils.saveData1D(plot_data)
+
+    def onLinearFit(self):
+        """
+        Creates and displays a simple linear fit for the selected plot
+        """
+        pass
+
+    def onRemovePlot(self, id):
+        """
+        Deletes the selected plot from the chart
+        """
+        selected_plot = self.plot_dict[id]
+
+        plot_dict = copy.deepcopy(self.plot_dict)
+
+        self.plot_dict = {}
+
+        plt.cla()
+        self.ax.cla()
+
+        for ids in plot_dict:
+            if ids != id:
+                self.plot(data=plot_dict[ids], hide_error=plot_dict[ids].hide_error)                
+
+        if len(self.plot_dict) == 0:
+            # last plot: graph is empty must be the panel must be destroyed
+                self.parent.close()
+
+    def onFreeze(self, id):
+        """
+        Freezes the selected plot to a separate chart
+        """
+        plot = self.plot_dict[id]
+        self.manager.add_data(data_list=[plot])
+
+    def onModifyPlot(self):
+        """
+        Allows for MPL modifications to the selected plot
+        """
+        pass
+
+    def onToggleHideError(self, id):
+        """
+        Toggles hide error/show error menu item
+        """
+        selected_plot = self.plot_dict[id]
+        current = selected_plot.hide_error
+
+        # Flip the flag
+        selected_plot.hide_error = not current
+
+        plot_dict = copy.deepcopy(self.plot_dict)
+        self.plot_dict = {}
+
+        # Clean the canvas
+        plt.cla()
+        self.ax.cla()
+
+        # Recreate the plots but reverse the error flag for the current
+        for ids in plot_dict:
+            if ids == id:
+                self.plot(data=plot_dict[ids], hide_error=(not current))
+            else:
+                self.plot(data=plot_dict[ids], hide_error=plot_dict[ids].hide_error)                
+
     def xyTransform(self, xLabel="", yLabel=""):
         """
@@ -239,103 +391,9 @@
         self.ax.cla()
 
-        # Changing the scale might be incompatible with
-        # currently displayed data (for instance, going
-        # from ln to log when all plotted values have
-        # negative natural logs).
-        # Go linear and only change the scale at the end.
-        self._xscale = "linear"
-        self._yscale = "linear"
-        _xscale = 'linear'
-        _yscale = 'linear'
-        # Local data is either 1D or 2D
-        if self.data.id == 'fit':
-            return
-
-        # control axis labels from the panel itself
-        yname, yunits = self.data.get_yaxis()
-        xname, xunits = self.data.get_xaxis()
-
-        # Goes through all possible scales
-        # self.x_label is already wrapped with Latex "$", so using the argument
-
-        # X
-        if xLabel == "x":
-            self.data.transformX(transform.toX, transform.errToX)
-            self.xLabel = "%s(%s)" % (xname, xunits)
-        if xLabel == "x^(2)":
-            self.data.transformX(transform.toX2, transform.errToX2)
-            xunits = convert_unit(2, xunits)
-            self.xLabel = "%s^{2}(%s)" % (xname, xunits)
-        if xLabel == "x^(4)":
-            self.data.transformX(transform.toX4, transform.errToX4)
-            xunits = convert_unit(4, xunits)
-            self.xLabel = "%s^{4}(%s)" % (xname, xunits)
-        if xLabel == "ln(x)":
-            self.data.transformX(transform.toLogX, transform.errToLogX)
-            self.xLabel = "\ln{(%s)}(%s)" % (xname, xunits)
-        if xLabel == "log10(x)":
-            self.data.transformX(transform.toX_pos, transform.errToX_pos)
-            _xscale = 'log'
-            self.xLabel = "%s(%s)" % (xname, xunits)
-        if xLabel == "log10(x^(4))":
-            self.data.transformX(transform.toX4, transform.errToX4)
-            xunits = convert_unit(4, xunits)
-            self.xLabel = "%s^{4}(%s)" % (xname, xunits)
-            _xscale = 'log'
-
-        # Y
-        if yLabel == "ln(y)":
-            self.data.transformY(transform.toLogX, transform.errToLogX)
-            self.yLabel = "\ln{(%s)}(%s)" % (yname, yunits)
-        if yLabel == "y":
-            self.data.transformY(transform.toX, transform.errToX)
-            self.yLabel = "%s(%s)" % (yname, yunits)
-        if yLabel == "log10(y)":
-            self.data.transformY(transform.toX_pos, transform.errToX_pos)
-            _yscale = 'log'
-            self.yLabel = "%s(%s)" % (yname, yunits)
-        if yLabel == "y^(2)":
-            self.data.transformY(transform.toX2, transform.errToX2)
-            yunits = convert_unit(2, yunits)
-            self.yLabel = "%s^{2}(%s)" % (yname, yunits)
-        if yLabel == "1/y":
-            self.data.transformY(transform.toOneOverX, transform.errOneOverX)
-            yunits = convert_unit(-1, yunits)
-            self.yLabel = "1/%s(%s)" % (yname, yunits)
-        if yLabel == "y*x^(2)":
-            self.data.transformY(transform.toYX2, transform.errToYX2)
-            xunits = convert_unit(2, xunits)
-            self.yLabel = "%s \ \ %s^{2}(%s%s)" % (yname, xname, yunits, xunits)
-        if yLabel == "y*x^(4)":
-            self.data.transformY(transform.toYX4, transform.errToYX4)
-            xunits = convert_unit(4, xunits)
-            self.yLabel = "%s \ \ %s^{4}(%s%s)" % (yname, xname, yunits, xunits)
-        if yLabel == "1/sqrt(y)":
-            self.data.transformY(transform.toOneOverSqrtX,
-                                 transform.errOneOverSqrtX)
-            yunits = convert_unit(-0.5, yunits)
-            self.yLabel = "1/\sqrt{%s}(%s)" % (yname, yunits)
-        if yLabel == "ln(y*x)":
-            self.data.transformY(transform.toLogXY, transform.errToLogXY)
-            self.yLabel = "\ln{(%s \ \ %s)}(%s%s)" % (yname, xname, yunits, xunits)
-        if yLabel == "ln(y*x^(2))":
-            self.data.transformY(transform.toLogYX2, transform.errToLogYX2)
-            xunits = convert_unit(2, xunits)
-            self.yLabel = "\ln (%s \ \ %s^{2})(%s%s)" % (yname, xname, yunits, xunits)
-        if yLabel == "ln(y*x^(4))":
-            self.data.transformY(transform.toLogYX4, transform.errToLogYX4)
-            xunits = convert_unit(4, xunits)
-            self.yLabel = "\ln (%s \ \ %s^{4})(%s%s)" % (yname, xname, yunits, xunits)
-        if yLabel == "log10(y*x^(4))":
-            self.data.transformY(transform.toYX4, transform.errToYX4)
-            xunits = convert_unit(4, xunits)
-            _yscale = 'log'
-            self.yLabel = "%s \ \ %s^{4}(%s%s)" % (yname, xname, yunits, xunits)
-
-        # Perform the transformation of data in data1d->View
-        self.data.transformView()
-
-        self.xscale = _xscale
-        self.yscale = _yscale
+        new_xlabel, new_ylabel, xscale, yscale = GuiUtils.xyTransform(self.data, xLabel, yLabel)
+        self.xscale = xscale
+        self.yscale = yscale
+        self.xLabel = new_xlabel
+        self.yLabel = new_ylabel
 
         # Plot the updated chart
@@ -347,5 +405,5 @@
 
         QtGui.QDialog.__init__(self)
-        PlotterWidget.__init__(self, manager=parent, quickplot=quickplot)
+        PlotterWidget.__init__(self, parent=self, manager=parent, quickplot=quickplot)
         icon = QtGui.QIcon()
         icon.addPixmap(QtGui.QPixmap(":/res/ball.ico"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
Index: src/sas/qtgui/PlotterBase.py
===================================================================
--- src/sas/qtgui/PlotterBase.py	(revision d3ca36332a95a5caf23ee8f8223a9c9912826726)
+++ src/sas/qtgui/PlotterBase.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
@@ -94,13 +94,11 @@
         self.canvas.mpl_connect('scroll_event', self.onMplWheel)
 
+        self.contextMenu = QtGui.QMenu(self)
+
         if not quickplot:
-            # set the layout
+            # Add the toolbar
             layout.addWidget(self.toolbar)
-            # Add the context menu
-            self.contextMenu()
             # Notify PlotHelper about the new plot
             self.upatePlotHelper()
-        else:
-            self.contextMenuQuickPlot()
 
         self.setLayout(layout)
@@ -177,5 +175,5 @@
         """
         # Actions
-        self.contextMenu = QtGui.QMenu(self)
+        self.contextMenu.clear()
         self.actionSaveImage = self.contextMenu.addAction("Save Image")
         self.actionPrintImage = self.contextMenu.addAction("Print Image")
@@ -188,5 +186,5 @@
         self.actionCopyToClipboard.triggered.connect(self.onClipboardCopy)
 
-    def contextMenu(self):
+    def createContextMenu(self):
         """
         Define common context menu and associated actions for the MPL widget
@@ -194,5 +192,5 @@
         raise NotImplementedError("Context menu method must be implemented in derived class.")
 
-    def contextMenuQuickPlot(self):
+    def createContextMenuQuick(self):
         """
         Define context menu and associated actions for the quickplot MPL widget
@@ -204,4 +202,9 @@
         Display the context menu
         """
+        if not self.quickplot:
+            self.createContextMenu()
+        else:
+            self.createContextMenuQuick()
+
         event_pos = event.pos()
         self.contextMenu.exec_(self.canvas.mapToGlobal(event_pos))
Index: src/sas/qtgui/UnitTesting/PlotterBaseTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/PlotterBaseTest.py	(revision 9290b1a2e57458d51b13f1acd1798b999372c7d7)
+++ src/sas/qtgui/UnitTesting/PlotterBaseTest.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
@@ -33,5 +33,5 @@
                 return MyPerspective()
 
-        PlotterBase.PlotterBase.contextMenuQuickPlot = MagicMock()
+        #PlotterBase.PlotterBase.contextMenuQuickPlot = MagicMock()
         self.plotter = PlotterBase.PlotterBase(None, manager=dummy_manager(), quickplot=True)
 
@@ -64,5 +64,5 @@
         ''' Test the default context menu '''
         with self.assertRaises(NotImplementedError):
-            self.plotter.contextMenu()
+            self.plotter.createContextMenu()
 
     def testClean(self):
Index: src/sas/qtgui/UnitTesting/PlotterTest.py
===================================================================
--- src/sas/qtgui/UnitTesting/PlotterTest.py	(revision 257bd5712462146ec0fc8f29d198ca47f83ed94f)
+++ src/sas/qtgui/UnitTesting/PlotterTest.py	(revision aadf0af183702570addb989ed535f1c04f06b3df)
@@ -31,4 +31,5 @@
                            dy=[0.1, 0.2, 0.3])
         self.data.title="Test data"
+        self.data.name="Test name"
         self.data.id = 1
 
@@ -42,5 +43,5 @@
 
         self.assertEqual(self.plotter.data, self.data)
-        self.assertEqual(self.plotter._title, self.data.title)
+        self.assertEqual(self.plotter._title, self.data.name)
         self.assertEqual(self.plotter.xLabel, "$()$")
         self.assertEqual(self.plotter.yLabel, "$()$")
@@ -70,4 +71,5 @@
     def testContextMenuQuickPlot(self):
         """ Test the right click menu """
+        self.plotter.createContextMenuQuick()
         actions = self.plotter.contextMenu.actions()
         self.assertEqual(len(actions), 7)
